# Method: projects.locations.interceptDeployments.create

Creates a deployment in a given project and location. See <https://google.aip.dev/133>.

### HTTP request

`POST https://networksecurity.googleapis.com/v1/{parent=projects/*/locations/*}/interceptDeployments`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where this deployment will be created. Format: projects/{project}/locations/{location} |

### Query parameters

| Parameters ||
|---|---|
| `interceptDeploymentId` | `string` Required. The ID to use for the new deployment, which will become the final component of the deployment's resource name. |
| `requestId` | `string` Optional. A unique identifier for this request. Must be a UUID4. This request is only idempotent if a `requestId` is provided. See <https://google.aip.dev/155> for more details. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/network-security-integration/docs/reference/rest/v1/projects.locations.interceptDeployments#InterceptDeployment`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/network-security-integration/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `networksecurity.interceptDeployments.create`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).